<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>TextParagraph.BulletStyle (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TextParagraph.BulletStyle (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextParagraph.BulletStyle.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.FontAlign.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html"
               target="_top">Frames</a></li>
        <li><a href="TextParagraph.BulletStyle.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.usermodel</div>
    <h2 title="Interface TextParagraph.BulletStyle" class="title">Interface TextParagraph.BulletStyle</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Enclosing interface:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                           title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;<a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="type parameter in TextParagraph">S</a> extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="type parameter in TextParagraph">S</a>,<a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="type parameter in TextParagraph">P</a>&gt;,<a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="type parameter in TextParagraph">P</a> extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;<a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="type parameter in TextParagraph">S</a>,<a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="type parameter in TextParagraph">P</a>,<a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="type parameter in TextParagraph">T</a>&gt;,<a
                            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                            title="type parameter in TextParagraph">T</a> extends <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public static interface <span class="typeNameLabel">TextParagraph.BulletStyle</span></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/AutoNumberingScheme.html"
                                        title="enum in org.apache.poi.sl.usermodel">AutoNumberingScheme</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html#getAutoNumberingScheme--">getAutoNumberingScheme</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html#getAutoNumberingStartAt--">getAutoNumberingStartAt</a></span>()</code>
                                    <div class="block">Index (1-based) of the first auto number value, or null if auto
                                        numbering scheme
                                        wasn't assigned.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html#getBulletCharacter--">getBulletCharacter</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html#getBulletFont--">getBulletFont</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html#getBulletFontColor--">getBulletFontColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html#getBulletFontSize--">getBulletFontSize</a></span>()</code>
                                    <div class="block">The bullet point font size
                                        If bulletFontSize >= 0, then space is a percentage of normal line height.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html#setBulletFontColor-java.awt.Color-">setBulletFontColor</a></span>(java.awt.Color&nbsp;color)</code>
                                    <div class="block">Convenience function to set a solid color</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html#setBulletFontColor-org.apache.poi.sl.usermodel.PaintStyle-">setBulletFontColor</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getBulletCharacter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletCharacter</h4>
                                <pre>java.lang.String&nbsp;getBulletCharacter()</pre>
                            </li>
                        </ul>
                        <a name="getBulletFont--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletFont</h4>
                                <pre>java.lang.String&nbsp;getBulletFont()</pre>
                            </li>
                        </ul>
                        <a name="getBulletFontSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletFontSize</h4>
                                <pre>java.lang.Double&nbsp;getBulletFontSize()</pre>
                                <div class="block">The bullet point font size
                                    If bulletFontSize >= 0, then space is a percentage of normal line height.
                                    If bulletFontSize < 0, the absolute value in points
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the bullet point font size</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBulletFontColor-java.awt.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBulletFontColor</h4>
                                <pre>void&nbsp;setBulletFontColor(java.awt.Color&nbsp;color)</pre>
                                <div class="block">Convenience function to set a solid color</div>
                            </li>
                        </ul>
                        <a name="setBulletFontColor-org.apache.poi.sl.usermodel.PaintStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBulletFontColor</h4>
                                <pre>void&nbsp;setBulletFontColor(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="getBulletFontColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletFontColor</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;getBulletFontColor()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the color of bullet characters within a given paragraph.
                                        A <code>null</code> value means to use the text font color.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAutoNumberingScheme--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAutoNumberingScheme</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/AutoNumberingScheme.html"
                                        title="enum in org.apache.poi.sl.usermodel">AutoNumberingScheme</a>&nbsp;getAutoNumberingScheme()</pre>
                            </li>
                        </ul>
                        <a name="getAutoNumberingStartAt--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getAutoNumberingStartAt</h4>
                                <pre>java.lang.Integer&nbsp;getAutoNumberingStartAt()</pre>
                                <div class="block">Index (1-based) of the first auto number value, or null if auto
                                    numbering scheme
                                    wasn't assigned.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextParagraph.BulletStyle.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.FontAlign.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html"
               target="_top">Frames</a></li>
        <li><a href="TextParagraph.BulletStyle.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
